*BCKS-Polarization and Social Media, Replication Material

*US Experiment 1
use "F:\Dropbox\models\BanksCalvoKarol\Replication Materials\BCKT-Replication Experiment 1.dta", clear

*Figure 3
ciplot DifQ57Q58, by( exposed ) xla(, ang(90)) sch(s1mono) ti()
ciplot Polarization, by( exposed ) xla(, ang(90)) sch(s1mono) ti()
ciplot DifQ57Q58, by(QFINAL) xla(, ang(90)) sch(s1mono) ti()
ciplot Polarization, by(QFINAL) xla(, ang(90)) sch(s1mono) ti()

*Figure 4: Perceived Polarization, Tweet Exposure, and Vote Choice
xi: reg DifQ57Q58 QFINAL##Q4A if Q4A<3
margins Q4A, at(QFINAL=(1(1)3)) vsquish
marginsplot, by(Q4A) sch(s1mono) recast(dot) byopts(title(Perceived Polarization) subtitle(Hillary/Trump)) xla(, ang(90))

*Models Table 1
reg DifQ57Q58 exposed
outreg2 using BCKtweet, addstat("LogLik", e(ll)) word replace
xi: reg DifQ57Q58 exposed votHillary if Q4A<3
outreg2 using BCKtweet, addstat("LogLik", e(ll)) word append
xi: reg DifQ57Q58 exposed votHillary c.selfLC##c.selfLC female Age PDEMRACEWHITE if Q4A<3
outreg2 using BCKtweet, addstat("LogLik", e(ll)) word append
reg Polarization exposed
outreg2 using BCKtweet, addstat("LogLik", e(ll)) word append
xi: reg DifQ57Q58 twTrump twHillary votHillary if Q4A<3
outreg2 using BCKtweet, addstat("LogLik", e(ll)) word append
xi: reg DifQ57Q58 twTrump twHillary votHillary c.selfLC##c.selfLC female Age PDEMRACEWHITE  if Q4A<3
outreg2 using BCKtweet, addstat("LogLik", e(ll)) word append


*US Experiment 2
use "F:\Dropbox\models\BanksCalvoKarol\Replication Materials\BCKT-Replication Experiment 2.dta", clear

*Models Table 2
reg Dif77C77D selfideology i.partyid i.tweetTreat lnTimeExposure i.age_cat i.educat_wt i.income_wt gender 
outreg2 using polarization2, addstat("LogLik", e(ll)) word replace
reg Dif77C77D selfideology partyid##tweetTreat c.lnTimeExposure##c.lnTimeExposure i.age_cat i.educat_wt i.income_wt gender 
outreg2 using polarization2, addstat("LogLik", e(ll)) word append
reg Dif77C77D selfideology  partyid##tweetTreat i.Q82 i.internetUsage c.lnTimeExposure##c.lnTimeExposure i.age_cat i.educat_wt i.income_wt gender 
outreg2 using polarization2, addstat("LogLik", e(ll)) word append
reg Dif78B78C selfideology i.partyid i.tweetTreat lnTimeExposure lnTimeExposure i.age_cat i.educat_wt i.income_wt gender 
outreg2 using polarization2, addstat("LogLik", e(ll)) word append
reg Dif78B78C selfideology partyid##tweetTreat c.lnTimeExposure##c.lnTimeExposure i.age_cat i.educat_wt i.income_wt gender 
outreg2 using polarization2, addstat("LogLik", e(ll)) word append
reg Dif78B78C selfideology  partyid##tweetTreat i.Q82 i.internetUsage c.lnTimeExposure##c.lnTimeExposure i.age_cat i.educat_wt i.income_wt gender 
outreg2 using polarization2, addstat("LogLik", e(ll)) word append


*Figure 6A
reg Dif77C77D  partyid##c.lnTimeExposure##c.lnTimeExposure  lnTimeControl
margins partyid, at(lnTimeExposure=(1.2(.2)4.4)) vsquish
marginsplot, by(partyid) sch(s1mono) recast(dot) ytitle(Perceived Polarization) byopts(title(Perceived Polarization) subtitle(By Party and and Time of Exposure)) xla(, ang(90))

*Figure 6B
reg Dif77C77D  tweetTreat##c.lnTimeExposure##c.lnTimeExposure lnTimeControl
margins tweetTreat, at(lnTimeExposure=(1.2(.2)4.4)) vsquish
marginsplot, by(tweetTreat) sch(s1mono) recast(dot) ytitle(Perceived Polarization) byopts(title(Perceived Polarization) subtitle(By Tweet and with control for overall time)) xla(, ang(90))

*Figure 7A
reg distDem c.selfi##c.selfi partyid##c.lnTimeExposure##c.lnTimeExposure
margins partyid, at(lnTimeExposure=(1(.2)4)) vsquish
marginsplot, by(partyid) sch(s1mono) recast(dot) ytitle(Distance Self from Democratic Party) byopts(title(Distance Between Respondent and Democrats) subtitle(By Party ID)) xla(, ang(90))

*Figure 7B
reg distRep c.selfi##c.selfi partyid##c.lnTimeExposure##c.lnTimeExposure
margins partyid, at(lnTimeExposure=(1(.2)4)) vsquish
marginsplot, by(partyid) sch(s1mono) recast(dot) ytitle(Distance Self from Republican Party) byopts(title(Distance Between Respondent and Republicans) subtitle(By Party ID)) xla(, ang(90))

*Figure 8
reg Dif77C77D tweetTreat##c.lnTimeExposure##c.lnTimeExposure##tweetTreat##partyid
margins tweetTreat, dydx(lnTimeExposure) at(partyid=(1(1)3))  vsquish post
marginsplot, by(tweetTreat ) recastci(rbar) sch(s1mono) yline(0,lpattern(dash) lcol(red) lwidth(.2))



*For SIF
reg Dif77C77D  lnTimeExposure lnTimetoReact lnTimetoEmotion
outreg2 using Sif1, addstat("LogLik", e(ll)) word replace
reg Dif77C77D  lnTimeExposure lnTimetoReact lnTimetoEmotion like retweet reply
outreg2 using Sif1, addstat("LogLik", e(ll)) word append
reg Dif77C77D  lnTimeExposure lnTimetoReact lnTimetoEmotion like retweet reply c.selfideology##c.selfideology
outreg2 using Sif1, addstat("LogLik", e(ll)) word append

*Extremism
reg Dif77C77D  c.lnTimeExposure##c.extremism lnTimetoReact lnTimetoEmotion like retweet reply
margins, at(lnTimeExposure=(1(.5)6) extremism=(0 4)) vsquish
marginsplot, sch(s1mono) recastci(rarea) byopts(title(Perceived Polarization))


*Argentina
use "F:\Dropbox\models\BanksCalvoKarol\Replication Materials\BCKT-Replication Experiment-Argentina.dta", clear

*Figure 10
ciplot distMMCFKtrimM , by( tweet_condition ) sch(s1mono) ytitle(Perception of Polarization) xtitle(.)  ti(Ideological Distance between Macri and CFK) yline(0, lcolor(red) lp(dash_dot))

*Table D.2 in Appendix
reg distMMCFKtrimM treated
outreg2 using polarizationArgentina, addstat("LogLik", e(ll)) word replace
reg lndistMMCFKtrimM treated
outreg2 using polarizationArgentina, addstat("LogLik", e(ll)) word append
reg lndistMMCFKtrimM treated votMacri2v
outreg2 using polarizationArgentina, addstat("LogLik", e(ll)) word append
reg lndistMMCFKtrimM treated##votMacri2v
outreg2 using polarizationArgentina, addstat("LogLik", e(ll)) word append

reg lndistMMCFKtrimM treated if votMacri2v==0
margins, by(treated) post
estimates store Opposition

reg lndistMMCFKtrimM treated if votMacri2v==1
margins, by(treated) post
estimates store Government

coefplot (Opposition,  mcolor("red") msiz("small")) (Government,  mcolor("blue") msiz("small")) , ytitle("ATE Treatment") xlab(,labsize(*1.1))  yti(,size(*.9)) ylab(,labsize(*.5)) fcolor(*.7)  format(%9.2f)  graphregion(color(white)) leg(cols(1) symysize(3) forcesize ring(0) bplacement(east) size(vsmall)) title("", size("small")) drop(_cons) xline(0, lcolor("red"))

